require( "scripts/style.lua" );

MakeDialog
{
    Bitmap
    {
        x=0,y=0,
        image="cutscenes/black",
        --scale=2000,
        WindowExt
        {
            x=0,y=0,
            w=kMax,h=kMax,
            name="close_game_screen",
            timer_settings = {
                name = "panels",
                category = "UI",
            },
            state_handlers = {
                justcreated = function()
                    ShowControl("close_game_screen");
                end;
                showed = function()
                    PostMessage(CreateNamedMessage(kQuitNow, "quit"));
                end;
            },
        }
    },
}